@charset "utf-8";

body {
    margin: 0;
    font-family: sans-serif;
}

header {
}

header > h1 {
    margin-top: 0;
    margin-bottom: 0;
    text-align: center;
/*
    background-color: unset;
*/
    color: black;
    font-size: xx-large;
    text-shadow: 2px 2px 4px silver;
    letter-spacing: 0.125ex;
    background-image: url('img/reudo_logo.png');
    background-position: right center;
    background-repeat: no-repeat;
    background-size: contain;
}

header > nav {
    background-color: rgba(255,255,255,0.75);
}
header > nav > ul {
    margin-top: 0;
    margin-left: 0;
    padding-left: 0;
    botder-top-width: 2px;
    border-top-style: solid;
    border-bottom-width: 2px;
    border-bottom-style: solid;
/*
    border-top-color: unset;
    border-bottom-color: unset;
*/
    display: flex;
}
header > nav > ul > li {
    display: inline-block;
    margin-left: 0.5em;
    padding-left: 0.25em;
    padding-right: 0.25em;
}
header > nav > ul > li:hover {
/*
    background-color: unset;
*/
}

body > main {
    margin-left: 1em;
}
body > main > section,
body > main > div.section {
    padding-top: 1ex;
    margin-left: 1em;
    margin-right: 0.5em;
    clear: both;
}
body > main > section > h2 {
    margin-top: 1ex;
    margin-left: -1em;
    border-left-width: 6px;
    border-left-style: solid;
    border-bottom-width: 1px;
    border-bottom-style: solid;
/*
    border-left-color: unset;
    border-bottom-color: unset;
*/
    padding-left: 0.25em;
    font-size: 125%;
}
    
body > main > .anote,
body > main > #anote {
    border-top: 1px solid gray;
    font-size: smaller;
}

body > footer {
    margin-top: 1ex;
    border-top-width: 1px;
    border-top-style: solid;
/*
    border-top-color: unset;
*/
    padding-top: 1ex;
    padding-left: 0.5em;
    padding-right: 0.5em;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
body > footer > a {
    font-weight: bolder;
    color: dimgray;
    letter-spacing: 0.125ex;
}
body > footer > a > img {
    border: 0 none transparent;
    vertical-align: middle;
}

body > dialog > img {
    display: block;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}
    
.detail {
    font-size: smaller;
}
.strong {
    font-weight: bolder;
}
.notice {
    font-weight: bolder;
    color: red;
}
.indentblock {
    margin-top: 0.5ex;
    margin-left: 0.5em;
}

.continueing {
    margin-bottom: 0;
}
.continued {
    margin-top: 0;
}

a.anote, a.anote::before, a.anote::after {
    font-size: smaller;
    font-weight: normal;
    vertical-align: top;
}
a.anote::before {
    content: '[';
}
a.anote::after {
    content: ']';
}

.flexbox {
}
.flexbox > .flexbox_main {
}
.flexbox > .flexbox_sub {
}
.flexbox > .flexbox_sub > img {
    width: 100%;
}


@media (orientation: landscape) {
    .flexbox {
	display: flex;
	flex-direction: row;
	align-items: start;
    }
    .flexbox > .flexbox_main {
	min-width: 65%;
	box-sizing: border-box;
    }
    .flexbox > .flexbox_sub {
	margin: 0.25em;
	border: 1px solid silver;
	min-width: 30%;
	box-sizing: border-box;
    }
    .flexbox > .flexbox_sub > img {
	max-width: 360px;
    }
}

@media (orientation: portrait) {
    .flexbox > .flexbox_sub > img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	max-width: 80%;
    }
}

@media print {
    header {
	position: unset !important;
	top: unset;
	left: unset;
	right: unset;
    }
    header > h1 {
	background-image: url('img/reudo_logo.png');
	background-color: rgba(255, 255, 255, 0.75) !important;
	background-blend-mode: lighten;
    }
    main {
	margin-top: 0px !important;
    }
    nav {
	display: none;
    }
    .printblock {
	break-inside: avoid-page;
    }
    .printcontinued {
	break-before: avoid-page;
    }
    .printcontinueing {
	break-after: avoid-page;
    }
    dt, h1, h2, h3, h4, h5, h6 {
	break-after: avoid-page;
    }
    dt + dd, h1 + *, h2 + *, h3 + *, h4 + *, h5 + *, h6 + * {
	break-before: avoid-page;
    }
    li {
	break-inside: avoid-page;
    }
    .flexbox > .flexbox_sub > img {
	max-width: 75% !important;
    }
}
